Bug 529859

Summary: Screen is fairly dim, even at 100% brightness
Product: [Fedora] Fedora Reporter: Jay Turner <jturner>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: airlied, ajax, bskeggs, mcepl, srevivo
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: card_NV96
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 548839 (view as bug list) Environment:
Last Closed: 2010-12-04 02:26:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 548839    
Attachments:
Description Flags
dmesg output from booting with 'drm.debug 15 3'
none
Xorg.0.log from 'nomodeset' boot
none
VBIOS from nVidia GeForce 9600M GT none

Description Jay Turner 2009-10-20 09:46:44 EDT
Description of problem:
I'm not entirely sure this is a driver problem, but reporting it as that seems the best starting place.  With both xorg-x11-drv-nouveau-0.0.15-2.20090805git712064e.fc12 and a live image that jlaska provided on 20.10.2009, the screen on my Sony Vaio VGN-AW230J laptop is fairly dim.  Whether on battery of AC, I'm not able to get the screen brightness more than what I would consider is about 60%, even though both the hardware control and the slider in the power configuration are set to 100%.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.15-2.20090805git712064e.fc12

How reproducible:
Always
Comment 1 Ben Skeggs 2009-10-20 18:46:33 EDT
The obvious question first is, what makes you think the screen *can* go brighter? :)

Anyway, not really sure where to start with this exactly.  But, can you show me the values of the various files in /sys/class/backlight?  There should be at least an nv_backlight if nouveau's loaded, at least on this chipset.

The other useful bit of info to know would be how the VBIOS initialises the backlight, on most (as in, all i've seen) it'll initialise the backlight to its maximum when it POSTs the card.  So, can you boot with "drm.debug=15 3" and save the output of the "dmesg" command.  Hopefully that portion of the init process will survive in the log buffer.

Thanks!
Comment 2 Jay Turner 2009-10-21 06:51:48 EDT
Guess I should have specified that in the initial report.  Prior to installing RHEL6 on the machine Monday (19.10.2009) it was running RHEL5.3 and the screen was significantly brighter there running the 'nv' driver.

As for the files, here are the values . . . there are lots of circular links in that tree, so let me know if I'm missing a value you are particularly interested in seeing:

./uevent
./bl_power
0
./brightness
974
./actual_brightness
974
./max_brightness
1025
./power/wakeup

The above data is after ensuring that the hardware brightness controls are as high as they will go (<fcnt>-brightness keys,) the laptop is plugged into AC power and the power management preferences are set to 100% brightness.

I'm gathering the drm.debug data right now and will post it.
Comment 3 Jay Turner 2009-10-21 07:08:37 EDT
Created attachment 365486 [details]
dmesg output from booting with 'drm.debug 15 3'
Comment 4 Jay Turner 2009-10-21 09:51:32 EDT
Another data-point.  I also have an Lenovo W700 with an nVidia NV92 running the same code but not exhibiting the same dimness issues.  Some notes:

- Even with both the power management and hardware controls set up full on my Vaio, I can't get any higher than 974 for actual_brightness.  I'm able to get 1025 on the Lenovo.
- On the Lenovo, setting the power management slider to 0% or toggling the hardware control to 0 still leaves me with a viewable display, albeit dim.  Toggling my Vaio to 0% results in a completely black display.
Comment 5 Jay Turner 2009-11-02 08:26:11 EST
jlaska recommended that I try with "nomodeset" and sure enough, that yields a much brighter screen.  Granted the values of /sys/class/backlight are identical, but the screen is noticeably brighter!
Comment 6 Jay Turner 2009-11-02 08:31:52 EST
Created attachment 367131 [details]
Xorg.0.log from 'nomodeset' boot
Comment 7 Matěj Cepl 2009-11-05 12:18:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Jay Turner 2009-11-05 14:54:18 EST
Booted up a live Fedora image created from last night's tree (4.11.2009) and am still seeing the same issues with the dim screen.  Also, as with RHEL, booting the system with "nomodeset" nets a much brighter display.

xorg-x11-drv-nouveau-0.0.15-13.20090929git8339f.fc12.x86_64
xorg-x11-server=1.7.0-5.fc12.x86_64
Comment 9 Bug Zapper 2009-11-16 08:53:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Ben Skeggs 2009-11-29 22:50:41 EST
While investigating another bug, I came across something which could also be the culprit here, perhaps.

Can you boot with (try each in turn until one, if any, works):
 nouveau.uscript_lvds=0x0200
 nouveau.uscript_lvds=0x0300

Thanks!
Comment 11 Jay Turner 2009-11-30 06:14:26 EST
Both options result in a message about being unsupported boot options, but then appear to have an effect so I'm guessing the warning is a bit off.  0x0200 results in a kernel panic, but I wasn't able to capture any details.  0x0300, however, makes my laptop all happy!  I have a nice, bright screen again.  I'll test out to make sure I can still suspect and whatnot, but appears this might be the magic bullet.
Comment 12 Ben Skeggs 2009-11-30 18:13:57 EST
Thanks!  The kernel panic is odd, at worst I'd have expected no/bad display.  Good to hear 0x0300 works however, now the problem is detecting *when* we need to use it so you don't need to override nouveau's default choice.

I'll keep looking into it, fairly big issue, there's at least 2 other known cases now where this is needed.
Comment 13 Ben Skeggs 2009-11-30 23:16:25 EST
Are you able to send me a VBIOS image too please?  It'll help with tracking down exactly what's needed to do this automatically.  Instructions for dumping the VBIOS are at: http://nouveau.freedesktop.org/wiki/DumpingVideoBios

Thanks!
Comment 14 Jay Turner 2009-12-01 08:28:13 EST
Created attachment 375059 [details]
VBIOS from nVidia GeForce 9600M GT
Comment 15 Jay Turner 2009-12-01 08:37:44 EST
I went back and tried 0x0200 again and I think the kernel panic might have been completely unrelated.  That having been said, 0x0200 causes these colored bars to appear on the display.  Some are wide, some are narrow and the effect is like looking at the results of a spectrometer.
Comment 16 Ben Skeggs 2009-12-01 20:50:42 EST
kernel-2.6.31.6-158.fc12 (http://koji.fedoraproject.org/koji/buildinfo?buildID=143969) will hopefully fix the issue, and not require special options to be set.
Comment 17 Jay Turner 2009-12-18 14:09:36 EST
As a data point, just booted up 2.6.32-2.el6 (+ patch to work about signing problem; bug 548027) and without the  nouveau.uscript_lvds=0x0300 argument, the screen is back to being dim.  I added the argument again and the screen is back to normal.  Also appears that it is time to clone this over to a RHEL bug.
Comment 18 Bug Zapper 2010-11-04 05:20:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-04 02:26:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.